### Method

# Gtk TextIterforward_find_char

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_find_char (
      GtkTextIter* iter,
      GtkTextCharPredicate pred,
      gpointer user_data,
      const GtkTextIter* limit
    )

#### Description [src]

Advances `iter`, calling `pred` on each character.

If `pred` returns `TRUE`, returns `TRUE` and stops scanning. If `pred` never returns `TRUE`, `iter` is set to `limit` if `limit` is non-`NULL`, otherwise to the end iterator.

#### Parameters

`pred`

  Type: `GtkTextCharPredicate`

  A function to be called on each character.

`user_data`

  Type: `gpointer`

  User data for `pred`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`limit`

  Type: `GtkTextIter`

  Search limit.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether a match was found.